YSTest: YSLib::Components::KeyEventArgs Struct Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | List of all members
YSLib::Components::KeyEventArgs Struct Reference

按键输入事件参数类。 More...

`#include <ywgtevt.h>`

Inheritance diagram for YSLib::Components::KeyEventArgs:
[legend]
Collaboration diagram for YSLib::Components::KeyEventArgs:
[legend]

## Public Types

typedef KeyInput | InputType
| 输入类型。

## Public Member Functions

| KeyEventArgs (IWidget &, const InputType &={}, RoutingStrategy=Direct)
| 构造：使用输入类型对象和路由事件类型。
Public Member Functions inherited from YSLib::Components::InputEventArgs
| InputEventArgs (IWidget &, const KeyInput &={}, RoutingStrategy=Direct)
| 构造：使用本机键按下对象和路由事件类型。
| operator const KeyInput & () const ynothrow
| 转换为按键代码类型。
const KeyInput & | GetKeys () const ynothrow
| 取按键代码。
Public Member Functions inherited from YSLib::Components::RoutedEventArgs
| RoutedEventArgs (IWidget &wgt, RoutingStrategy strategy=Direct)
Public Member Functions inherited from YSLib::Components::UIEventArgs
| UIEventArgs (IWidget &wgt)
| UIEventArgs (const UIEventArgs &)=default
| 复制构造：默认实现。
UIEventArgs & | operator= (const UIEventArgs &)=default
| 复制赋值：默认实现。
IWidget & | GetSender () const ynothrow
void | SetSender (IWidget &wgt)

## Additional Inherited Members

Public Attributes inherited from YSLib::Components::InputEventArgs
KeyInput | Keys
| 包含的按键代码。

## Detailed Description

按键输入事件参数类。

Warning
  非虚析构。

Since
  早于 build 132

Definition at line 155 of file ywgtevt.h.

## Member Typedef Documentation

typedef KeyInput YSLib::Components::KeyEventArgs::InputType

输入类型。

Definition at line 158 of file ywgtevt.h.

## Constructor & Destructor Documentation

KeyEventArgs::KeyEventArgs | ( | IWidget & | wgt,
|  | const InputType & | k = `{}`,
|  | RoutingStrategy | s = `Direct`
| ) |  |

构造：使用输入类型对象和路由事件类型。

Definition at line 41 of file ywgtevt.cpp.

The documentation for this struct was generated from the following files:

- ywgtevt.h
- ywgtevt.cpp